/** 
 *   Camera Control for STAR I.
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#ifndef _FITS_IO_H
#define _FITS_IO_H

#include <fitsio.h>
#include "camera_setup.h"

struct comment {
	char str[80];
	struct comment *next;
};

struct image_2d {
	char object[70];
/*
 * OBJECT  =
 - RA      =  10:45:04
 - DECL    = -59:41:04
 - EPOCA   = J2000
 - FILTER  = [B,V,R,I,N] B
 * OBSERVER= Andrea y Martin
*/
	char observer[70];

	/* Site & Instrument: */
	char origin[70];
	char telescope[70];
	char instrument[70];

	struct comment *co;
	/* FIXME: el resto del header que se pone en el archivo */
	struct camera_setup s;
	int *data;
};

int comment_push(struct comment *co, char *text);
int comment_free(struct comment *co);
int image_2d_save(char *filename, struct image_2d *im);


#endif /* _FITS_IO_H */
